package com.ss.android.ugc.aweme.publish.core.uploader.engine.speedtest;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class ClientUploadRouterModel {
    @c(LIZ = "mode")
    public final int mode;
    @c(LIZ = "weight")
    public final int weight;

    static {
        Covode.recordClassIndex(101151);
    }

    public final int getMode() {
        return this.mode;
    }

    public final int getWeight() {
        return this.weight;
    }

    public ClientUploadRouterModel(int i, int i2) {
        this.mode = i;
        this.weight = i2;
    }
}
